<template>
  <v-card
  class="mx-auto my-1"
  width="100%"
  height="500px">

    <v-img
    class="black--text align-end"
    height="300px"
    :src="article.urlToImage"
    >
    </v-img>
    <v-card-title>{{article.title}}</v-card-title>
    <v-card-subtitle>{{article.author}}</v-card-subtitle>
    <v-card-actions>
      <v-btn
      color="orange"
      text
      :href="this.article.url">
        Explorar
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
  export default {
    name: 'ArticleCard',
    props:{
      article:{ type:Object, required:true },
    },
  }
</script>
